package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 平台建议表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_suggestion")
public class SysSuggestion extends Model<SysSuggestion> {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 联系方式
     */
    @TableField("mobile_no_")
    private String mobileNo;
    /**
     * 标题
     */
    @TableField("title_")
    private String title;
    /**
     * 内容
     */
    @TableField("content_")
    private String content;
    /**
     * 用户编号
     */
    @TableField("user_id_")
    private Long userId;
    /**
     * 提交时间
     */
    @TableField("create_time_")
    private Date createTime;


    public Long getId() {
        return id;
    }

    public SysSuggestion setId(Long id) {
        this.id = id;
        return this;
    }

    public String getMobileNo() {
        return mobileNo;
    }

    public SysSuggestion setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
        return this;
    }

    public String getTitle() {
        return title;
    }

    public SysSuggestion setTitle(String title) {
        this.title = title;
        return this;
    }

    public String getContent() {
        return content;
    }

    public SysSuggestion setContent(String content) {
        this.content = content;
        return this;
    }

    public Long getUserId() {
        return userId;
    }

    public SysSuggestion setUserId(Long userId) {
        this.userId = userId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public SysSuggestion setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysSuggestion{" +
        ", id=" + id +
        ", mobileNo=" + mobileNo +
        ", title=" + title +
        ", content=" + content +
        ", userId=" + userId +
        ", createTime=" + createTime +
        "}";
    }
}
